Bug 598577 - SELinux is preventing /var/lib/boinc/projects/www.worldcommunitygrid.org/wcgrid_beta11_6.13_i686-pc-linux-gnu "sigstop" access .
SELinux is preventing /var/lib/boinc/projects/www.worldcommunitygrid.org/wcgr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:1b6fe1b57e7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 12:29 EDT by G.Wolfe Woodbury
Modified: 2010-06-23 13:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-28.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 13:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2010-06-01 12:29:53 EDT
Summary:

SELinux is preventing
/var/lib/boinc/projects/www.worldcommunitygrid.org/wcgrid_beta11_6.13_i686-pc-linux-gnu
"sigstop" access .

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by wcgrid_beta11_6. It is not expected that this
access is required by wcgrid_beta11_6 and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:boinc_t:s0
Target Context                system_u:system_r:boinc_t:s0
Target Objects                None [ process ]
Source                        wcgrid_beta11_6
Source Path                   /var/lib/boinc/projects/www.worldcommunitygrid.org
                              /wcgrid_beta11_6.13_i686-pc-linux-gnu
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-21.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.5-112.fc13.x86_64 #1
                              SMP Thu May 27 02:28:31 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Tue 01 Jun 2010 09:59:59 AM EDT
Last Seen                     Tue 01 Jun 2010 09:59:59 AM EDT
Local ID                      77ae1f1a-df86-4619-a687-22334fc33d69
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1275400799.2:34275): avc:  denied  { sigstop } for  pid=28746 comm="wcgrid_beta11_6" scontext=system_u:system_r:boinc_t:s0 tcontext=system_u:system_r:boinc_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1275400799.2:34275): arch=40000003 syscall=37 success=yes exit=0 a0=7050 a1=13 a2=ffe916a8 a3=0 items=0 ppid=1867 pid=28746 auid=4294967295 uid=489 gid=473 euid=489 suid=489 fsuid=489 egid=473 sgid=473 fsgid=473 tty=(none) ses=4294967295 comm="wcgrid_beta11_6" exe="/var/lib/boinc/projects/www.worldcommunitygrid.org/wcgrid_beta11_6.13_i686-pc-linux-gnu" subj=system_u:system_r:boinc_t:s0 key=(null)



Hash String generated from  catchall,wcgrid_beta11_6,boinc_t,boinc_t,process,sigstop
audit2allow suggests:

#============= boinc_t ==============
allow boinc_t self:process sigstop;
Comment 1 Miroslav Grepl 2010-06-03 04:27:53 EDT
Fixed in selinux-policy-3.7.19-24.fc13
Comment 2 Fedora Update System 2010-06-14 15:29:31 EDT
selinux-policy-3.7.19-28.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13
Comment 3 Fedora Update System 2010-06-15 11:59:30 EDT
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13
Comment 4 Fedora Update System 2010-06-23 13:46:21 EDT
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.